//
//  Besondere_UhrAppDelegate.m
//  Besondere Uhr
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "UhrController.h"

@implementation UhrController

@synthesize window;
@synthesize textUhrzeit;
@synthesize fortschrittStunden; 
@synthesize fortschrittMinuten; 
@synthesize fortschrittSekunden; 

- (void)applicationDidFinishLaunching:
  (NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    [fortschrittStunden setMaxValue:23];
    [fortschrittStunden setMinValue:0];
    
    [fortschrittMinuten setMaxValue:59];
    [fortschrittMinuten setMinValue:0];
    
    [fortschrittSekunden setMaxValue:59];
    [fortschrittSekunden setMinValue:0];
    
    NSTimer *timer;
    
    timer = 
    [NSTimer scheduledTimerWithTimeInterval:1 
                                     target:self 
                                   selector:@selector(ticktack:) 
                                   userInfo:nil 
                                    repeats:YES]; 
    [timer fire];
}


- (void)ticktack:(NSTimer *)aTimer
{
    NSCalendarDate *uhrzeit = [NSCalendarDate date];
    
    NSInteger stunde = [uhrzeit hourOfDay];
    NSInteger minute = [uhrzeit minuteOfHour];
    NSInteger sekunde = [uhrzeit secondOfMinute];
    
    [textUhrzeit setStringValue:
     [NSString stringWithFormat:@
      "%.1i:%.2i:%.2i", (int)stunde, (int)minute, (int)sekunde]];
    
    [fortschrittStunden setDoubleValue:
     [uhrzeit hourOfDay]];
    
    [fortschrittMinuten setDoubleValue:
     [uhrzeit minuteOfHour]];
    
    [fortschrittSekunden setDoubleValue:
     [uhrzeit secondOfMinute]];

}

@end
