//
//  StoppuhrAppDelegate.m
//  Stoppuhr
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "StoppuhrAppDelegate.h"

@implementation StoppuhrAppDelegate

@synthesize window;
@synthesize stoppuhrzeit;

- (void)applicationDidFinishLaunching:
  (NSNotification *)aNotification
{
    // Insert code here to initialize your application
}


- (IBAction)startstoppTimer:(id)sender
{
    if([sender state] == 1)
    {
        startZeitpunkt = [NSDate date];
        
        meinTimer = 
        [NSTimer scheduledTimerWithTimeInterval:1
                                         target:self
                                       selector:@selector(ticktack:) 
                                       userInfo:nil 
                                        repeats:YES];
        
        [meinTimer fire];
    }
    else
    {
        [meinTimer invalidate];
    }
}

- (void)ticktack:(NSTimer *)aTimer
{
    NSTimeInterval meinInterval =
    -[startZeitpunkt timeIntervalSinceNow];
    int sekunden = ((int) meinInterval) % 60;
    int minuten = 
    (((int) meinInterval - sekunden) / 60) % 60;
    int stunden = ((int) meinInterval - sekunden - 60 
                   * minuten) % 3600;
    
    [stoppuhrzeit setStringValue:
     [NSString stringWithFormat:@
      "%.1d:%.2d:%.2d", stunden, minuten, sekunden]];
}



@end
